
/**
 * Copyright (c) 2006, yher.net
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, 
 *   this list of conditions and the following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * * Neither the name of the nor the names of its contributors may be used to endorse or 
 *   promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 * SUCH DAMAGE.
 */
package net.yher.workstyle.torque.bean;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.List;


        
/**
 * This class was autogenerated by Torque on:
 *
 * [Sat Dec 09 17:06:33 JST 2006]
 *
 * You should not use this class directly.  It should not even be
 * extended; all references should be to TagTypeBean
 */
@SuppressWarnings("unused")
public abstract class BaseTagTypeBean
    implements Serializable
{

    /**
     * whether the bean or its underlying object has changed
     * since last reading from the database
     */
    private boolean modified = true;

    /**
     * false if the underlying object has been read from the database,
     * true otherwise
     */
    private boolean isNew = true;

  
    /** The value for the tagTypeId field */
    private int tagTypeId;
  
    /** The value for the name field */
    private String name;
  
    /** The value for the styleClass field */
    private String styleClass;
  
    /** The value for the sortOrder field */
    private int sortOrder;


    /**
     * sets whether the bean exists in the database
     */
    public void setNew(boolean isNew)
    {
        this.isNew = isNew;
    }

    /**
     * returns whether the bean exists in the database
     */
    public boolean isNew()
    {
        return this.isNew;
    }

    /**
     * sets whether the bean or the object it was created from
     * was modified since the object was last read from the database
     */
    public void setModified(boolean isModified)
    {
        this.modified = isModified;
    }

    /**
     * returns whether the bean or the object it was created from
     * was modified since the object was last read from the database
     */
    public boolean isModified()
    {
        return this.modified;
    }


    /**
     * Get the TagTypeId
     *
     * @return int
     */
    public int getTagTypeId ()
    {
        return tagTypeId;
    }

    /**
     * Set the value of TagTypeId
     *
     * @param v new value
     */
    public void setTagTypeId(int v)
    {
  
        this.tagTypeId = v;
        setModified(true);

    }

    /**
     * Get the Name
     *
     * @return String
     */
    public String getName ()
    {
        return name;
    }

    /**
     * Set the value of Name
     *
     * @param v new value
     */
    public void setName(String v)
    {
  
        this.name = v;
        setModified(true);

    }

    /**
     * Get the StyleClass
     *
     * @return String
     */
    public String getStyleClass ()
    {
        return styleClass;
    }

    /**
     * Set the value of StyleClass
     *
     * @param v new value
     */
    public void setStyleClass(String v)
    {
  
        this.styleClass = v;
        setModified(true);

    }

    /**
     * Get the SortOrder
     *
     * @return int
     */
    public int getSortOrder ()
    {
        return sortOrder;
    }

    /**
     * Set the value of SortOrder
     *
     * @param v new value
     */
    public void setSortOrder(int v)
    {
  
        this.sortOrder = v;
        setModified(true);

    }

      

                                      
                
    /**
     * Collection to store aggregation of collTagBeans
     */
    protected List<TagBean> collTagBeans;

    /**
     * Returns the collection of TagBeans
     */
    public List<TagBean> getTagBeans()
    {
        return collTagBeans;
    }

    /**
     * Sets the collection of TagBeans to the specified value
     */
    public void setTagBeans(List<TagBean> list)
    {
        if (list == null)
        {
            collTagBeans = null;
        }
        else
        {
            collTagBeans = new ArrayList<TagBean>(list);
        }
    }

            }
